function fig4_1

nt=200;
t=linspace(0,80,nt);

clf
% get(gcf)
set(gcf,'Position', [25 1115 658 230])
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)
subaxis(1,1,1,1,'MT',0.01,'MB',0.18,'MR',-0.02,'ML',0.05,'P',0.04)

ep=0.1;
for it=1:nt
	ya(it)=sin(t(it))-0.5*ep*t(it)*sin(t(it));
	ye(it)=exp(-ep*t(it))*sin(t(it)*sqrt(1-0.25*ep^2))/sqrt(1-0.25*ep^2);
end

box on
grid on

plot(t,ya,'r','Linewidth',1.2)
hold on
plot(t,ye,'--b','Linewidth',1.2)

axis([0 80 -2 2])

xlabel('$t$\,-\,axis','Interpreter','latex','FontSize',14)
ylabel('Solution','Interpreter','latex','FontSize',14)

set(gca,'ytick',[-2 -1 0 1 2])
set(gca,'YTickLabel',{'$-2$';'$-1$';'0';'1';'2'})

ax = gca;
ax.XAxis.TickLabelInterpreter = 'latex';
ax.YAxis.TickLabelInterpreter = 'latex';
set(gca,'FontSize',13)

legend('$\,\,y_0(t)+\varepsilon y_1(t)$','\, Exact Solution \,\,','Position',[0.17 0.25 0.25 0.21],'FontSize',13,'Interpreter','latex')

%exportgraphics(gcf,'/Users/mark/Desktop/fig31.pdf')






